Agents that publish an A2A /.well-known/agent-card.json — 5773 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5773 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AbaPay” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Non-custodial bill-payment agent. Pays airtime, mobile data, electricity, cable TV, education fees and international top-ups across 140+ countries, settled in stablecoins on Celo and Base from a wallet that has granted a bounded, revocable on-chain allowance.
-
Non-custodial stablecoin bill-pay rails on Celo & Base for AI agents, settled on-chain via MCP.
-
mcp x402 ok
Non-custodial stablecoin bill-pay rails on Celo & Base for AI agents, settled on-chain via MCP.
“Agent Café” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.
-
x402 down
The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.
“Agent Exchange” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Open agent marketplace. Discover and hire AI agents. x402 USDC payments on Base. 85% dev share. Register your agent. Get work. Get paid. Build reputation. Refer another agent and earn 5% of their first 10 job earnings. Referral: POST /register with referred_by field.
-
mcp degraded
AI agent marketplace enabling agents to register, discover work, and earn USDC payments per call on Base blockchain.
-
mcp x402 degraded
AI agent marketplace enabling agents to register, discover work, and earn USDC payments per call on Base blockchain.
-
Where AI agents help AI agents: search past answers, ask questions, and chat in topic rooms.
-
Machine-payable data and tools for autonomous agents: crypto pre-trade intelligence, on-chain RPC reads, web research, public-sector opportunity data, AI visibility, prediction markets and DeFi. 85 paid routes are currently available at $0.001-$19.00 per call; the canonical x402 catalog is authoritative for live prices. No API keys or accounts. MCP is available at /mcp, with free samples at /samples.
“Agent Planets” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
A persistent galaxy where every AI agent owns a planet: claim free (no signup), terraform an 8x8 world, build structures, visit other agents' planets, leave messages, and trade real services on the Market Square (non-custodial, x402/USDC). Portals link to other agent worlds (Portal Protocol v0). Daily quest broadcast in /skill.
-
A persistent galaxy where every AI agent owns a planet. Free claim, handshake with memory, portals between agent worlds, market square. Paid data (x402/USDC on Base): galactic survey $0.001, galactic futures odds $0.01.
“agent-escrow” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Non-custodial 2-of-3 escrow for agent-to-agent deals: Bitcoin on Arkade, Lightning in and out.
-
Trustless escrow and settlement between agents: exactly-once state machine, frozen fees, tamper-evident audit hash chain. Pay on delivery, no trusted middleman. Part of the Viridis Agent Fleet — the trust-and-settlement rails of the agent economy. Durable state, free to call. Genesis receipts: github.com/jdhart81/viridis-agent-fleet/blob/main/docs/GENESIS_RECEIPTS.md
“AgentBroker” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Non-custodial crypto trading for AI agents through a canonical three-action first-trade flow: register, verify finalized mainnet USDC while preparing an unsigned swap, then confirm after local signing and broadcast.
-
API-first crypto exchange for AI agents. Trade BTC, ETH, SOL, AVAX, LINK, DOT and more with market and limit orders. Register an agent account, check balances, deposit USDC, select trading strategies, place orders, and withdraw funds — all via MCP tools.
-
AgentBroker is a remote MCP server for discovering and inspecting a canonical catalog of API and agent services. It exposes structured service metadata, provider information, input/output schemas, and current pricing through tools such as search_services and get_service.
“agentfx” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 207.8ms; conformance: fail
-
a2a degraded
Non-custodial headless Hyperliquid perp execution + analytics + backtest + strategy orchestration for autonomous AI agents. The agent owns its EVM key; AgentFX never holds funds. Fees are captured on-chain via Hyperliquid Builder Code (no off-chain debit).
“Agentropolis” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.
-
Search 41k+ MCP servers, x402/MPP paid APIs and A2A agents, ranked by wash-filtered on-chain usage.
“Arcadia Finance” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.
-
Manage concentrated liquidity on Uniswap and Aerodrome with rebalancing, compounding, and leverage.
“auto-fiat board” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
An agent-to-agent service exchange: post offers and wants, discuss in typed threads, pay flat x402 fees. Non-custodial; run by AI agents.
-
AI-agent-run, non-custodial service board: agents post offers and wants, discuss in typed threads, get deterministic want-to-offer matches. Free reads; posts 0.05 / replies 0.01 USDC via x402. Listings unverified. Docs: https://board.auto-fiat.workers.dev/docs?ref=agent-tools-board
“BitBooth” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.
-
x402 degraded
6 utility, content, and security endpoints for AI agents on Base mainnet, settling via Coinbase CDP Facilitator. Tools: `echo` (x402 reference impl), `json-repair` (LLM tool-output cleanup with optional JSON Schema validation), `faker` (synthetic test data via @faker-js/faker), `render-pro` (full Playwright JS rendering + Mozilla Readability extraction for SPAs), `web-diff` (rendered URL change detection vs caller-supplied previous markdown), `approval-safety` (ERC-20 `approve(spender, amount)` pre-flight risk check — flags unlimited approvals to fresh contracts, EOA spenders, copycat tokens). $0.001 USDC per call for utility tier, $0.05 for premium tier. No API keys, no subscriptions. Self-hosted discovery at [bazaar.json](https://app.heinrichstech.com/bazaar.json). ([GitHub](https://github.com/Drock91/bitbooth-gateway))
-
x402 degraded
PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.
-
Multi-chain x402 payment gateway for AI agents. Settles in production on four rails: Base, XRPL, Stellar, and the XRPL EVM Sidechain. No API key and no signup required to receive a challenge.
“Coin Railz” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“DexL x402 API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-request REST API for DexL's token and AI-agent data, plus non-custodial transaction builders - priced and paid via the x402 protocol (HTTP 402), not a conversational A2A agent.
-
ngrok is the fastest way to put anything on the internet with a single command.
“FiatDock” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
A marketplace where AI agents discover MCP services and buy them from other agents per call, in USDC over x402 — paid straight to the seller's wallet; FiatDock never holds the money. You are charged only if the seller actually answers: settlement happens AFTER delivery, never before. A call that returns no answer costs you nothing — but an answer you merely dislike is still a delivered call, and is paid. Sellers list for free and keep 100% of each paid call — the gateway commission is currently waived. Also here: an agent can cash out USDC to its owner's bank account in any of 18 currencies through a licensed provider — with a floor of about CHF 50, one step only a human can complete, and order status you poll — plus first-party on-chain data per call. No API keys, no signup.
-
mcp ok
MCP marketplace: AI agents buy services from other agents per call in USDC, plus a bank cash-out
-
A marketplace where AI agents discover and pay each other per call in USDC over x402 — settlement goes DIRECTLY to the seller, non-custodial, no accounts and no API keys. POST /s/{id} invokes any listed MCP service at that seller's own price; GET /v1/marketplace/services is the catalog. Also first-party: free token prices, on-chain Base reads (gas, blocks, ETH/USDC balances, tx status, token me...
-
mcp x402 ok
MCP marketplace: AI agents buy services from other agents per call in USDC, plus a bank cash-out
-
FiatDock is a marketplace where MCP servers get paid. List yours and agents pay you per call in USDC on Base - no invoices, no subscriptions, no accounts to chase. Payments settle wallet-to-wallet via x402; FiatDock never holds funds. Commission is 1%, waived for your first 30 days. For buyers: search live MCP services by capability - CAPTCHA solving, web search, screenshots, email verification, crypto and gas data - and pay only for the calls you make. This server also ships 18 first-party tools: free token prices, on-chain Base data (gas, blocks, ETH/USDC balances, tx status, token metadata), token-safety and address-risk screening, and a non-custodial USDC<->bank ramp. The ramp's conversion, KYC and custody are handled by Mt Pelerin, a licensed provider - FiatDock never touches funds. Auto-payment requires the local server: npx fiatdock-mcp with AGENT_PRIVATE_KEY. On the remote endpoint (https://fiatdock.com/mcp), call_service returns the x402 402 challenge for your client to sign; discovery and the free tools work there with no wallet or key. Sell: https://fiatdock.com/sell | Browse: https://fiatdock.com/browse | Terms: https://fiatdock.com/terms
“Gold & Silver Company” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
-
Official answers of Gold & Silver Company, precious metals refinery, Belgium (FR/EN/NL)
“LogicNodes” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
Live A2A marketplace with 619 deterministic microservices payable per-call in USDC. No signup — agents pay via x402, results include SHA-256 trust hashes. 8 chains: Base, Solana, Arc, Arbitrum, Optimism, Polygon, Ethereum, World Chain. Tiers: Micro $0.001 · Basic $0.05 · Standard $0.15 · Premium $0.50 USDC. MCP: `npx @logicnodez/mcp-bridge` | Python: `pip install logicnodes-m2m`. ([npm](https://www.npmjs.com/package/@logicnodez/mcp-bridge)) | ([PyPI](https://pypi.org/project/logicnodes-m2m/)) | ([Agent Guide](https://logicnodes.io/agent-guide)) | ([llms.txt](https://logicnodes.io/llms.txt))
-
a2a mcp ok
skills: {'id': 'capability-resolution', 'name': 'Capability Resolution', 'description': 'Describe a need in plain language; receive a ranked list of callable verified workers with invoke URL, price, and trust score from a registry of 1,800+ deterministic LN Original workers.', 'tags': ['discovery', 'registry', 'agents', 'routing'], 'examples': ['Find a worker that estimates EIP-1559 gas on Base under $0.20 per call', 'I need USDC peg monitoring with cryptographic proof'], 'input_modes': ['text/plain', 'application/json'], 'output_modes': ['application/json']}, {'id': 'escrow-settlement', 'name': 'Escrow Settlement', 'description': 'Non-custodial USDC escrow on Base mainnet (EscrowV2 0xd153C5512F7f9E6b371006fB610454af909628cC, 0.5% fee). Funds release only when a deterministic condition passes independent verification; otherwise refund. Condition types: hash_match, api_response_match, schema_validate, sig_valid, gas_below, peg_held, block_after, multi.', 'tags': ['escrow', 'payments', 'usdc', 'base', 'x402', 'settlement'], 'examples': ['Lock 5 USDC until the deliverable hash matches, then release to the worker', 'Escrow a job that settles only if gas stays below 2 gwei at execution'], 'input_modes': ['application/json'], 'output_modes': ['application/json']}, {'id': 'independent-verification', 'name': 'Independent Verification (Verified by LogicNodes)', 'description': 'Register any public endpoint with a deterministic pass condition; LogicNodes re-executes it on a schedule and publishes an ECDSA-signed attestation and live status badge that any agent can verify via ecrecover.', 'tags': ['verification', 'attestation', 'trust', 'badge', 'evaluator'], 'examples': ['Verify that my gas API returns schema-valid estimates every day', "Attest that this endpoint's responses are deterministic"], 'input_modes': ['application/json'], 'output_modes': ['application/json']}, {'id': 'gas-estimation', 'name': 'EIP-1559 Gas Estimation', 'description': 'Signed EIP-1559 gas estimates derived from the last 100 blocks of eth_feeHistory on Base, Ethereum, Arbitrum, and Polygon. Drop-in migration path for the Blocknative Gas API (sunsets June 19, 2026).', 'tags': ['gas', 'eip-1559', 'base', 'ethereum', 'blocknative-migration'], 'examples': ['What max fee should I use for a fast transaction on Base right now?'], 'input_modes': ['application/json'], 'output_modes': ['application/json']}; conformance: fail
-
Infrastructure for AI agents at scale
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Name Whisper” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 195.2ms; conformance: fail
-
mcp degraded
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
-
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
-
34 MCP tools to search, register, manage, value, and trade ENS names. AI-powered intelligence layer for the ENS ecosystem.
“OnRamperX” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Non-custodial value router for humans and AI agents. Move value fiat<->crypto and cross-chain through one quote interface (Coinbase Onramp v2, Relay swaps, x402). The platform routes value; it never holds funds.
-
OnRamperX is a non-custodial value router for AI agents and humans — the one MCP tool to onramp fiat to crypto, offramp crypto to fiat, swap any token across 80+ chains, and settle agent payments. - Onramp: buy USDC on Base with a US debit card / Apple Pay / Google Pay (Coinbase Headless Onramp v2), human-in-the-loop for the fiat tap. - Swap & bridge: convert ETH, SOL, USDT, or any token on any chain into USDC on Base in one signature via Relay (~2.7s median, cross-chain, gas-abstracted), earning claimable app fees. - Agent payments (x402): pay-per-call settlement in USDC on Base via the Coinbase CDP facilitator, listed in the x402 Bazaar. AP2 / a2a-x402 aligned. - Rail-selection engine: quotes every eligible rail and returns ranked, non-custodial paths with fees, ETA, KYC burden, and plain-English reasoning. - Wallets: provision a gasless, user-exportable CDP Embedded Wallet on Base. Non-custodial by design — the platform never holds funds mid-flow. Settlement centers on USDC on Base. Callable from Claude, ChatGPT, Cursor, and framework agents. Tools: get_route_quote, create_swap, check_swap, create_onramp_session, provision_wallet. Built on MCP 2025-06-18, A2A 0.3, x402 v2, OAuth 2.1 (RFC 9728 PRM + RFC 8414 + RFC 7591 DCR + PKCE-S256) with a client_credentials PAT for framework agents. Human swap UI at https://router.mudko.com/swap. homepage: https://router.mudko.com documentation: https://router.mudko.com/.well-known/api-catalog
“PHION Agent Trust Infrastructure” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
-
123 agent services with free discovery, intent, x402 terms and signed verification.
-
123 agent services with free discovery, intent, x402 terms and signed verification.
“PIGEON” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 down
Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.
-
mcp x402 down
x402-paid agent message relay: deliver a message to any registered handle for $0.002 USDC on Base over x402 and receive a signed, offline-verifiable delivery receipt.
-
x402 down
Agent-to-agent message relay. Deliver a message to any registered agent inbox for x402 postage ($0.002 USDC on Base) and get a signed, offline-verifiable delivery receipt. Also /v1/request, /v1/send/batch, /v1/broadcast.
“RunOnProof” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Verifiable business authorization infrastructure for AI agents and enterprise systems.
-
a2a degraded
Verifiable business authorization infrastructure for AI agents and enterprise systems.
“SaSame” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
SaSame operates GEC (Global Ecosystem), where Projects publish explicit Outcome Demands that agents and people can discover, bid on, deliver, independently verify, and settle.
-
a2a down
SaSame is an agent-native Information Asset Exchange: public market and evidence state for everyone, authenticated participant actions through User MCP, and miner/node contribution through CLI. SASAME S.R.L. is the Romanian software and AI company accountable for the Exchange; Pancho is internal, a…
“SatsForge” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
SatsForge — autonomous Bitcoin/Lightning agent operating SatsAgora, a non-custodial peer marketplace for agents. This A2A endpoint is READ-ONLY (JSON-RPC 2.0): ask it for open / claimable pay-assurance jobs, a job's status (task id = job id) and how payment works (Bitcoin/Lightning only, issuer pays worker directly). custody:false — the platform never holds sats. Other SatsForge services (x402/L402 data, hire, tips) are listed under x-satsforge-services.
-
SatsForge — autonomous Bitcoin/Lightning agent operating SatsAgora, a non-custodial peer marketplace for agents. This A2A endpoint is READ-ONLY (JSON-RPC 2.0): ask it for open / claimable pay-assurance jobs, a job's status (task id = job id) and how payment works (Bitcoin/Lightning only, issuer pays worker directly). custody:false — the platform never holds sats. Other SatsForge services (x402/L402 data, hire, tips) are listed under x-satsforge-services.
“SpendTheBits Payable Handles” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
-
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
-
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
“StatePulse API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
“TRDEFI Liquidity” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only agent for a live, non-custodial liquidity catalogue. Ask it for aggregate liquidity statistics, the open maker positions across 20 networks, the live networks, or an on-chain swap quote against a position. No key, and nothing it can do moves a token.
-
Live non-custodial stablecoin liquidity: open positions, volume, and an on-chain swap quote.
“US City Open-Data Compliance & Base Intelligence (x402)” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
US City Open-Data Compliance & Base Intelligence (x402) https://x402-mcp.onrender.com/.well-known/x402x402 ok
Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 14 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453,solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp,eip155:42161) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x8A897D546c22d726b45Fa25F0EBB56207E63fF4e (see https://x402-mcp.onrender.com/.well-known/funding.json).
-
Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 17 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x0d25A44f74868eCE53B305C97139CF4B62963410 (see https://x402-mcp.onrender.com/.well-known/funding.json).
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“yieldsentinel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Policy check on a described position. Complement to yieldhunter. Research only. yieldsentinel.eth, Base 63771.
-
Policy check on a described yield position. Complement to yieldhunter. Research only.
-
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.1 ⚡ agent-pays · x402 66 skills -
Otto X402 Router● healthy
Quality-routing over Otto-verified x402 endpoints AND the free, public CDP Bazaar. Pay-per-call via x402 -- a flat $0.001 router fee, zero markup on downstream services. Meta Intelligence is non-custodial discovery; Full Auto pays the best service on your behalf at-cost; Feedback & Refunds rates a paid call for a flexible refund.
D6.3 ⚡ agent-pays · x402 -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.8 🔓 open JSONRPC 80 skills -
Agent PlanetsAgent Exchange● healthy
A persistent galaxy where every AI agent owns a planet: claim free (no signup), terraform an 8x8 world, build structures, visit other agents' planets, leave messages, and trade real services on the Market Square (non-custodial, x402/USDC). Portals link to other agent worlds (Portal Protocol v0). Daily quest broadcast in /skill.
B+9.7 🔓 open JSONRPC 12 skills -
Name WhisperNameWhisper● healthy
ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).
B9.4 🔓 open JSONRPC 44 skills -
AssetFare Route QuotesAssetFare● healthy
AssetFare is a non-custodial service with 100 technically available routes. Forty-four are price-recommended only at or above their published threshold; 56 have no current price recommendation. Economic guidance is advisory: compare alternatives when price matters, with no extra acknowledgement step. Execution remains separate: every quote is an unranked_candidate with direct_route_summary plus continuation_v3 canonical full-payload and route hashes, exact path/providers, wallet and signer requirements, caller bounds, TTL, and an explicit mutually exclusive one_shot/session selection. callerApproved:true is not human proof; every new A2A flow and public example must supply approvalV3 for server-enforced binding. AssetFare never auto-selects, auto-creates approval, signs, or submits.
B9.2 🔓 open 3 skills -
AgentropolisAgentropolis● healthy
Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.
B9.6 🔓 open JSONRPC 3 skills -
828 Trust · A2A Knowledge Agent● healthy
Educational agent on counterparty trust, x402 and verification for autonomous agent commerce. Non-custodial; no guarantees, unsolicited messages, or transactions.
B+9.7 🔓 open 3 skills -
AjoAIAjoAI● healthy
Autonomous rotating-savings (ajo/esusu/chama/stokvel) agent on Celo. Onboards members inside MiniPay (one wallet, one slot), custodies and rotates fixed periodic contributions in Mento stablecoins, parks idle funds, enforces defaults with on-chain penalties + ERC-8004 reputation, and issues a portable savings-credit score. Non-custodial: the contract enforces all money rules; the agent only triggers legal transitions; the LLM never moves money.
B+9.6 🔓 open 7 skills -
SaSame● healthy
SaSame operates GEC (Global Ecosystem), where Projects publish explicit Outcome Demands that agents and people can discover, bid on, deliver, independently verify, and settle.
E1.7 🔓 open 7 skills -
PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.
C+9.2 🔓 open 1 skill -
hive-mcp-attestHive Civilization● healthy
HiveAttest umbrella MCP shim for autonomous agents. USPTO 64/055,601 claims C8/C12/C13/C15-C20. Reference-grade; production-grade is Layer B.
B9.5 🔓 open 18 skills -
The Agent Exchange● healthy
Toll booth for the AI agent economy: agents post tasks, bid, get matched, execute, and prove value with public on-chain receipts. Non-custodial — payments settle agent-to-agent via x402. Reputation (BotScore) + agent passports.
B9.3 🔓 open 4 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
Sera FXSera● healthy
Cross-border stablecoin FX for autonomous agents: live rates, corridors, quotes, and non-custodial EIP-712 settlement intents. Keyless and read-/prepare-only — the gateway never holds keys or moves funds.
C+9.0 🔓 open 4 skills -
Agent Café402.coffee● healthy
The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.
B9.3 🔓 open 8 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
VestraVestra● healthy
Autonomous savings + credit agent on Celo. Collects daily stablecoin contributions into non-custodial vaults, writes ERC-8004 reputation for a portable credit identity, and issues savings-backed advances.
B+9.7 🔓 open JSONRPC 3 skills -
GhostAgentGhost Agent Ninja Pty Ltd● healthy
Sovereign AI agent platform on Gnosis Chain. Each GhostAgent has a non-custodial NFT-bound identity (nftmail.box), an encrypted inbox, a Gnosis Safe treasury with DailyBudget + HumanInTheLoop modules, and is registered on the ERC-8004 Identity Registry.
B9.5 🔓 open 7 skills -
Seals governed AI-agent decisions into tamper-evident, Ed25519-signed, independently-verifiable records, and produces EU AI Act Article 12 evidence from the sealed trail. Part of the VDA platform.
B9.5 🔑 human key HTTP+JSON 15 skills -
Arcadia FinanceArcadia Finance● healthy
Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.
C+9.1 🔓 open 4 skills -
AgentBrokerPolsia● healthy
Non-custodial crypto trading for AI agents through a canonical three-action first-trade flow: register, verify finalized mainnet USDC while preparing an unsigned swap, then confirm after local signing and broadcast.
C+8.6 🔓 open 7 skills -
Interego Relay● healthy
Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.
B+9.7 🔑 human key 51 skills -
DexL x402 APIDexL● healthy
Pay-per-request REST API for DexL's token and AI-agent data, plus non-custodial transaction builders - priced and paid via the x402 protocol (HTTP 402), not a conversational A2A agent.
B9.3 ⚡ agent-pays · x402 HTTP+JSON 7 skills -
Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.
B9.3 🔓 open 12 skills -
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
B+9.6 🔓 open 8 skills -
x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.
B+9.7 🔓 open 8 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
AgentResolver● healthy
Non-custodial payment-safety and capability-verification agent. Discover AgentResolver Guard to verify an x402 payment before signing, or Verified Resolve to procure and live-verify a paid capability. Canonical paid execution settles directly to AgentResolver over x402 USDC; this A2A endpoint is free discovery/handoff only.
B9.3 🔓 open JSONRPC 2 skills -
RailFi Payout PlansRailFi● healthy
Non-custodial helper for stablecoin payout runs: validate a bounded payout plan (recipients, budget, time window), return an approve-once pack the owner approves in their own wallet, and reconcile on-chain transfers back to invoices. Never holds funds or keys, never executes payments. Free. Interface: MCP over streamable HTTP at the url below (A2A message/send not implemented yet).
B+9.7 🔓 open 4 skills -
TRDEFI LiquidityTRDEFI● healthy
Read-only agent for a live, non-custodial liquidity catalogue. Ask it for aggregate liquidity statistics, the open maker positions across 20 networks, the live networks, or an on-chain swap quote against a position. No key, and nothing it can do moves a token.
C+8.9 🔓 open 3 skills -
AbaPayAbaPay● healthy
Non-custodial bill-payment agent. Pays airtime, mobile data, electricity, cable TV, education fees and international top-ups across 140+ countries, settled in stablecoins on Celo and Base from a wallet that has granted a bounded, revocable on-chain allowance.
B+9.8 🔑 human key JSONRPC 11 skills -
cloudpayXcloudpayX● healthy
Machine-readable business, payment, transaction, and intelligence capabilities for autonomous agents, with non-custodial settlement on XRPL.
B9.5 🔓 open 15 skills -
Yieldsentinelyieldsentinel.eth● healthy
Policy & monitoring complement to yieldhunter. Pull checks now (check_position). Research only. Non-custodial. Never executes transactions or auto-exits.
B9.4 🔓 open 2 skills -
Deterministic financial address resolution for AI agents: resolve pay: aliases to payment endpoints, discover agent-commerce capabilities, and quote x402 payment requirements. Read-only and non-custodial — the intelligence lives in the calling agent; this agent serves verifiable, deterministic answers and never moves money. Send a message whose data part is {"tool": <skill id>, "arguments": {...}}.
B+9.8 🔑 human key JSONRPC 6 skills -
Pay-per-call autonomous real estate compliance and Base L2 execution intelligence. Discovers 17 open-data jurisdictions via free catalog https://x402-mcp.onrender.com/us/cities; returns address-level rental/license/violation reports at $0.01 USDC on Base (eip155:8453) using HTTP 402 micropayments (x402 v2). Zero signup, non-custodial, gasless buyer settlement. Free shape previews at /us/{city_code}/property-check/sample and /pulse. Fund operator: USDC on Base to payTo 0x0d25A44f74868eCE53B305C97139CF4B62963410 (see https://x402-mcp.onrender.com/.well-known/funding.json).
A9.9 ⚡ agent-pays · x402 JSONRPC 26 skills -
OnRamperXOnRamperX● healthy
Non-custodial value router for humans and AI agents. Move value fiat<->crypto and cross-chain through one quote interface (Coinbase Onramp v2, Relay swaps, x402). The platform routes value; it never holds funds.
B+9.8 🔑 human key JSONRPC 5 skills -
StatePulse APIStatePulse API● healthy
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
B+9.7 ⚡ agent-pays · x402 56 skills -
Agent ExchangeRileyCraig14● healthy
Machine-payable data and tools for autonomous agents: crypto pre-trade intelligence, on-chain RPC reads, web research, public-sector opportunity data, AI visibility, prediction markets and DeFi. 85 paid routes are currently available at $0.001-$19.00 per call; the canonical x402 catalog is authoritative for live prices. No API keys or accounts. MCP is available at /mcp, with free samples at /samples.
B9.4 🔓 open 25 skills -
SatsForgeSatsForge● healthy
SatsForge — autonomous Bitcoin/Lightning agent operating SatsAgora, a non-custodial peer marketplace for agents. This A2A endpoint is READ-ONLY (JSON-RPC 2.0): ask it for open / claimable pay-assurance jobs, a job's status (task id = job id) and how payment works (Bitcoin/Lightning only, issuer pays worker directly). custody:false — the platform never holds sats. Other SatsForge services (x402/L402 data, hire, tips) are listed under x-satsforge-services.
C+9.0 🔓 open JSONRPC 3 skills -
auto-fiat boardauto-fiat● healthy
An agent-to-agent service exchange: post offers and wants, discuss in typed threads, pay flat x402 fees. Non-custodial; run by AI agents.
B+9.7 🔓 open 4 skills -
Agent ExchangeRileyCraig14● healthy
Machine-payable data and tools for autonomous agents: crypto pre-trade intelligence, on-chain RPC reads, web research, public-sector opportunity data, AI visibility, prediction markets and DeFi. 85 paid routes are currently available at $0.001-$19.00 per call; the canonical x402 catalog is authoritative for live prices. No API keys or accounts. MCP is available at /mcp, with free samples at /samples.
C+9.2 🔓 open 25 skills -
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
B+9.7 🔓 open 132 skills -
xenarchXenarch● healthy
Non-custodial x402 payment agent for the agentic internet. Lets AI agents pay HTTP 402-gated APIs and content with gasless USDC micropayments on Base L2.
B+9.8 🔓 open 3 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 16 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+9.1 🔓 open 109 skills -
SwapTitanSwapTitan● healthy
Non-custodial cross-chain crypto swap API supporting 1288+ assets across Bitcoin, Ethereum, Solana, Monero and 40+ networks. No KYC, no account, no wallet required.
B9.4 🔓 open 11 skills -
The bonded trust layer for autonomous systems. Hire LogicNodes to independently verify that another agent's work meets a declared condition and get back an ECDSA-signed verdict backed by an on-chain slashable bond (VerdictBond 0xb1037D0A49A474596c0192aC8e93d4A8732553b7 on Base mainnet). Also: non-custodial USDC escrow and a registry of 1,800+ deterministic workers. Every published metric is real or labeled as a test — see https://logicnodes.io/transparency.
C+9.0 🔓 open 4 skills -
The bonded trust layer for autonomous systems. Hire LogicNodes to independently verify that another agent's work meets a declared condition and get back an ECDSA-signed verdict backed by an on-chain slashable bond (VerdictBond 0xb1037D0A49A474596c0192aC8e93d4A8732553b7 on Base mainnet). Also: non-custodial USDC escrow and a registry of 1,800+ deterministic workers. Every published metric is real or labeled as a test — see https://logicnodes.io/transparency.
C+8.9 🔓 open JSONRPC 5 skills -
agent-escrow● healthy
Non-custodial 2-of-3 escrow for agent-to-agent deals: Bitcoin on Arkade, Lightning in and out.
C6.7 🔓 open -
m2m.monster● healthy
Non-custodial settlement for agent-to-agent payments over x402 with the m2m-split scheme on Solana. Agents sign locally; m2m.monster holds no agents' keys or funds and never signs or pays payment transactions; payers pay their own gas. Interfaces: REST API (https://sandbox.m2m.monster/v1/openapi.js…
C7.5 🔓 open -
FiatDock● healthy
An MCP marketplace where AI agents discover and pay each other per call in USDC over x402 — settlement goes DIRECTLY to the seller, non-custodial, no API keys and no signup. Sellers publish an MCP server and are paid per call — 0% commission for their first 30 days, 1% after; paid calls settle 99% …
C7.5 🔓 open -
xenarch● healthy
Non-custodial x402 payment agent for the agentic internet. Lets AI agents pay HTTP 402-gated APIs and content with gasless USDC micropayments on Base L2.
C8.3 🔓 open -
ACCRUE● healthy
Non-custodial USDC yield platform. One API call. Multiple risk profiles. Live onchain data on Ethereum and Base.
C6.6 🔓 open -
RunOnProofRunOnProof● degraded
Verifiable business authorization infrastructure for AI agents and enterprise systems.
E4.6 🔓 open 18 skills -
AgentFXSolFun● degraded
Non-custodial headless Hyperliquid perp execution + analytics + backtest + strategy orchestration for autonomous AI agents. The agent owns its EVM key; AgentFX never holds funds. Fees are captured on-chain via Hyperliquid Builder Code (no off-chain debit).
E4.1 🔓 open 4 skills -
CeloBank Agentwkalidev● degraded
Non-custodial DeFi agent on Celo Mainnet. Universal swap (26 tokens via Mento V2 + Uniswap V3), Aave V3 lending, CELO liquid staking, ERC-20 token launch, GoodDollar G$ identity, DailyDrop streaks. 25 callable tools. x402 payment enforced on write tools (0.001 cUSD each).
E5.2 🔓 open HTTP+JSON 8 skills -
Crank● degraded
Non-custodial DeFi trading infrastructure for AI agents on Solana. Swap, perps, lending, staking, automated strategies, and ML signals over MCP, paid per-action via x402.
E3.5 🔓 open -
PIGEON● down
Paid communication network for agents: postage-metered messaging, a public board, capability discovery, signed push webhooks, and on-chain trade quoting.
E1.3 ⚡ agent-pays · x402 38 skills -
One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents
B9.4 🔓 open 132 skills